Page MenuHomePhabricator

Use an <img> element inside the <a> link rather than a background image to facilitate printing
Closed, ResolvedPublic

Description

Reason for this would be that img are printed, while most browsers generally hide background images. Thus currently pages with maps when printed tend to have nice empty squares

Event Timeline

JGirault created this task.Feb 7 2017, 11:50 PM
debt removed JGirault as the assignee of this task.Jun 14 2017, 3:29 PM
debt removed a project: Maps-Sprint.

Moving off the sprint board - the Discovery team won't be able to do this work at this time.

TheDJ updated the task description. (Show Details)

Change 581129 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/Kartographer@master] Use img tag for the map instead of background

https://gerrit.wikimedia.org/r/581129

Jdforrester-WMF closed this task as Resolved.Mar 19 2020, 1:52 AM
Jdforrester-WMF assigned this task to TheDJ.

Change 581129 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Use img tag for the map instead of background

https://gerrit.wikimedia.org/r/581129

@MSantos @Jdforrester-WMF hmm. small question.... is this gonna make disk usage explode due to the increase in generated tiles ? Can we handle that ? I have no idea how many tiles we have and how long we store them.

@MSantos @Jdforrester-WMF hmm. small question.... is this gonna make disk usage explode due to the increase in generated tiles ? Can we handle that ? I have no idea how many tiles we have and how long we store them.

The JS code already uses (and thus implicitly creates) the @2x tiles, right? I doubt there's a huge number of pages with maps that get only non-JS renders…

TheDJ added a comment.Mar 19 2020, 8:12 PM

No, the non-JS is a separate rendered image, it is not the same as the JS tiles.
I'm unsure how they are stored... if it's on the same server, i'm guessing compared to the live tiles, it shouldn't be a major amount of images.

TheDJ renamed this task from Consider using a <img> element inside the <a> link rather than a background image to Use an <img> element inside the <a> link rather than a background image to facilitate printing.Mar 19 2020, 9:49 PM